@import 'mixins.less';

//FONTS
	@font-face{
		font-family: Anton;
		src: url('../fonts/Anton-Regular.ttf');
	}

	@font-face{
		font-family: Questrial;
		src: url('../fonts/Questrial-Regular.ttf');
	}

//NAV VARIABLES  					  // NAME OF CLASS
	@nav-bg-color: #232126; 	//nav-bg
	@nav-search-btn: #A6020E; //nav-search-btn
  @nav-width: 90%;          //nav-bg

//HEADER VARIABLES       															//NAME OF CLASS
	@header-bg: url('../images/header-background.jpg'); //header-background
	@header-bg-width: 100%;   													//header-background
	@header-bg-height: 100%;  													//header-background
	@header-bg-font: #ffffff; 													//header-nav-font

//CONTENT VARIABLES                      		 //NAME OF CLASS
	@collapsible-inner-bg: @footer-bg-image;   //collapsible-inner         
	@collapsible-inner-bg-width: 100%;         //collapsible-inner
	@collapsible-inner-bg-height: 100%;        //collapsible-inner
	@collapsible-recent-videos-width: 100%;    //collapsible-recent-videos
	@collapsible-recent-videos-height: 400px;  //collapsible-recent-videos
  	@banner-white-color: #F9FFFA;              //banner-white
    @main-content-container: #F0F0F0;          //main-content-container
    @main-content-card: #FFFFF0;               //main-content-card
    @card1-image: url('images/kyokushin-main.jpg');
    @card1-image-size: 100% 100%;
    @card2-image: url('images/kyokushin-main2.jpg');
    @card2-image-size: 100% 100%;

//FOOTER VARIABLES
	@footer-bg-image: url('../images/footer-background.jpg');
	@footer-bg-width: 100%;
	@footer-bg-height: 100%;

//NAVBAR
	.nav-bg{
		background-color: @nav-bg-color !important;
		width: @nav-width;
    margin-left: 4%;
    transition: all 1s ease;
	}

	.nav-logo{
		width: 70px;
		height: 70px;
	}

	.nav-link{
		font-family: Anton;
		font-size: 20px;
		
			a{
				color: #ffffff;
				
				&:hover,&:focus{
					color: #BF8969;
					text-decoration: none;
				}
			}
	}

	.nav-search{
		display: flex;
	}

	.nav-search-btn{
		border-radius: 10px;
		color: @nav-search-btn;
		float: right;
	}

	li.nav-item:hover{
		border-radius: 2px;
    border-bottom: 3px solid #EF0818;
	}
//NAVBAR

//HEADER
	.header-background{
		background-image: @header-bg;
		background-size: @header-bg-width @header-bg-height;
		background-attachment: fixed;
		background-repeat: no-repeat;
		.setPadding(2%,0%,3%,0%);

		&:hover{
			opcacity: 0.5;
		}
	}

	.header-nav-font{
		font-family: Anton;
		font-size: 30px;
		color: @header-bg-font;

		&.header-bg-main-font{
			font-size: 50px;
		}

		&.header-bg-sub-font{
			font-family: Questrial;
			font-size: 20px;
			margin-top: 4%;
			color: #F0F1F2;

			&.header-ellipsis{
				margin-top: 0%;
				text-align: center;
				width: 100%;
				a{

					font-size: 136px;
				}
			}
		}
		a{
			text-decoration: none;
			color: #ffffff;
			font-size: 30px;
		}
	}

	button.header-join-btn{
		font-family: Anton;
		font-size: 20px;
		border-radius: 50px;
		border: 0px;
		background-color: #FF0044;
		width: 250px;
		height: 100px;
		margin-top: 3%;
		
		&:hover{
			background-color: #CC500A;
		}
  	}
//HEADER

// CONTENT
  //CAROUSEL
  #kyokushin-pic-carousel{
    margin-top: 6%;
  }

  .carousel{
  	width: 100%;
  }

  .carousel-image{
    width: 100%;
    height: 450px;
    cursor: pointer;
    transition: all .50s ease;

    &:hover{
      width: 100.3%;
      height: 453px;
      transition: all .50s ease;
    }
  }
  
  //MAIN-CONTENT
  .banner-white{
  	background-color: @banner-white-color;
    box-shadow: 2px 10px 33px -10px rgba(0,0,0,0.75);
    z-index: 1;
    width: 100%;
  	height: 100px;
  }

  .main-content-container{
    background-color: @main-content-container;
    width: 100%;
    height: 100px;
  }

  .main-content-card{
    &.card1{
      background-image: @card1-image;
      background-size: @card1-image-size;

    }

    &.card2{
      background-image: @card2-image;
      background-size: @card2-image-size;
    }
  }


//CONTENT


//FOOTER 
	.footer-container{
		background-image: @footer-bg-image;
		width: @footer-bg-width;
		height: @footer-bg-height;
		.setPadding(1%,0,1%,0);
	}

	.footer-text{
		display: flex;
		font-family: Questrial;
		font-size: 18px;
		color: #F0F1F2;

    a{
      text-decoration: none;
      color: #F0F1F2; 

      &:hover{
        color: #736565;
      }
    }

    &.footer-text-links{
      a{
        font-size: 14px;
      }      
    }
	}

  .footer-icons{
    width: 20px;
    height: 20px;
  }
//FOOTER


//FOR RESPONSIVENESS
	.responsive(1024px,{
		.nav-search{
			margin-right: 0%;
		}
	});

	.responsive(768px,{
		.nav-search{
			margin-right: 40%;;
		}	

	});

	.responsive(425px,{
		.nav-search{
			display: none;
		}

		.form-control{
			padding: unset;
			width: 199px
		}
	});

